//+------------------------------------------------------------------+
//|                                                 test_profits.mq5 |
//|                                           Copyright 2014, denkir |
//|                           https://login.mql5.com/ru/users/denkir |
//+------------------------------------------------------------------+
#property copyright "Copyright 2014, denkir"
#property link      "https://login.mql5.com/ru/users/denkir"
#property version   "1.00"
//---
#include <Math\Alglib\alglib.mqh>
//+------------------------------------------------------------------+
//| Script program start function                                    |
//+------------------------------------------------------------------+
void OnStart()
  {
//---  "NewProfitsReal"
   const double NewProfitsReal[]=
     {
      81,83,93,79,78,82,83,76,91,84,89,88,80,82,83,87,83,78,92,
      83,82,82,87,77,80,82,82,78,87,80,83,94,81,86,87,76,85,80,
      79,84,78,83,81,81,83,82,79,81,78,88,85,80,84,85,78,83,86,
      80,79,83,79,85,90,89,96,88,82,80,85,88,85,85,85,86,85,90,
      81,80,77,83,88,80,90,80
     };
//---
   double Median=83., // 
   bothTails,         // p-   
   leftTail,          // p-   
   rightTail;         // p-   

//---  
   CAlglib::WilcoxonSignedRankTest(NewProfitsReal,ArraySize(NewProfitsReal),Median,
                                   bothTails,leftTail,rightTail);
//--- 
   PrintFormat("p-   : %0.4f",bothTails);
   PrintFormat("p-   : %0.4f",leftTail);
   PrintFormat("p-   : %0.4f",rightTail);
  }
//+------------------------------------------------------------------+
